[arch-commits] Commit in perl-file-nfslock/repos/community-any (PKGBUILD PKGBUILD)

Sergej Pupykin spupykin at archlinux.org
Mon Jun 17 13:40:06 UTC 2019


    Date: Monday, June 17, 2019 @ 13:40:04
  Author: spupykin
Revision: 481983

archrelease: copy trunk to community-any

Added:
  perl-file-nfslock/repos/community-any/PKGBUILD
    (from rev 481982, perl-file-nfslock/trunk/PKGBUILD)
Deleted:
  perl-file-nfslock/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   58 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 29 insertions(+), 29 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-06-17 13:39:55 UTC (rev 481982)
+++ PKGBUILD	2019-06-17 13:40:04 UTC (rev 481983)
@@ -1,29 +0,0 @@
-# This PKGBUILD was generated by cpan4pacman via CPANPLUS::Dist::Pacman
-# Maintainer: Chris Brannon <chris at the-brannons.com>
-# Contributor: François Charette <firmicus ατ gmx δοτ net>
-
-pkgname=perl-file-nfslock
-pkgver=1.27
-pkgrel=3
-pkgdesc="NFS compatible (safe) locking utility"
-arch=('any')
-url="http://search.cpan.org/dist/File-NFSLock"
-license=('GPL' 'PerlArtistic')
-depends=('perl>=5.10.0')
-options=('!emptydirs')
-source=(https://www.cpan.org/authors/id/B/BB/BBB/File-NFSLock-$pkgver.tar.gz) 
-sha256sums=('0f41d6cfeaa44987221b38e31fa6862933ccc390bb11037b5828f9b52a1b1042')
-
-build() {
-  cd  "$srcdir/File-NFSLock-$pkgver"
-  PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1 
-  PERL_USE_UNSAFE_INC=1 \
-  make || return 1
-}
-
-package() {
-  cd  "$srcdir/File-NFSLock-$pkgver"
-  make install DESTDIR="$pkgdir" || return 1
-  find "$pkgdir" -name '.packlist' -delete
-  find "$pkgdir" -name '*.pod' -delete
-}

Copied: perl-file-nfslock/repos/community-any/PKGBUILD (from rev 481982, perl-file-nfslock/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-06-17 13:40:04 UTC (rev 481983)
@@ -0,0 +1,29 @@
+# This PKGBUILD was generated by cpan4pacman via CPANPLUS::Dist::Pacman
+# Maintainer: Chris Brannon <chris at the-brannons.com>
+# Contributor: François Charette <firmicus ατ gmx δοτ net>
+
+pkgname=perl-file-nfslock
+pkgver=1.29
+pkgrel=1
+pkgdesc="NFS compatible (safe) locking utility"
+arch=('any')
+url="https://search.cpan.org/dist/File-NFSLock"
+license=('GPL' 'PerlArtistic')
+depends=('perl>=5.10.0')
+options=('!emptydirs')
+source=(https://www.cpan.org/authors/id/B/BB/BBB/File-NFSLock-$pkgver.tar.gz) 
+sha256sums=('61d41599b481164edf9b8becabbef2d23f622a9727f6c18365e92b5782d4fa37')
+
+build() {
+  cd  "$srcdir/File-NFSLock-$pkgver"
+  PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1 
+  PERL_USE_UNSAFE_INC=1 \
+  make || return 1
+}
+
+package() {
+  cd  "$srcdir/File-NFSLock-$pkgver"
+  make install DESTDIR="$pkgdir" || return 1
+  find "$pkgdir" -name '.packlist' -delete
+  find "$pkgdir" -name '*.pod' -delete
+}


More information about the arch-commits mailing list